#
# TODO: ./configure --enable-plasmamule
#
Summary:	Unix port of eMule client
Summary(pl.UTF-8):	Uniksowy port klienta eMule
Name:		aMule
Version:	2.3.1
Release:	28
License:	GPL
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/amule/%{name}-%{version}.tar.bz2
# Source0-md5:	31724290a440943f5b05d4dca413fe02
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-cas-datadir.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-cxx.patch
Patch4:		wxWidgets3.patch
Patch5:		build.patch
URL:		http://www.amule.org/
BuildRequires:	GeoIP-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7.3
BuildRequires:	binutils-devel
BuildRequires:	bison
BuildRequires:	cryptopp-devel >= 5.1
BuildRequires:	curl-devel >= 7.9.7
BuildRequires:	expat-devel
BuildRequires:	gd-devel
BuildRequires:	gettext-autopoint
BuildRequires:	gettext-tools >= 0.11.5
BuildRequires:	gtk+2-devel >= 2:2.2.0
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	wxGTK2-unicode-devel >= 2.8.12
BuildRequires:	xorg-lib-libXpm-devel
Requires:	wget
Obsoletes:	lmule
Obsoletes:	xmule
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
aMule is a Linux port of eMule client.

%description -l pl.UTF-8
aMule to linuksowy port klienta eMule.

%package plugin-xchat
Summary:	Xchat plugin
Summary(pl.UTF-8):	Wtyczka dla xchat
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-plugin-xchat

%description plugin-xchat
Plugin for Xchat IRC client.

%description plugin-xchat -l pl.UTF-8
Wtczka dla klienta IRC xchat.

%package alc
Summary:	Ed2k link creator for aMule
Summary(pl.UTF-8):	Kreator linków ed2k dla aMule
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Provides:	alc

%description alc
Tool for creating ed2k links.

%description alc -l pl.UTF-8
Narzędzie do tworzenia linków ed2k.

%package cas
Summary:	aMule online stats
Summary(pl.UTF-8):	Statystyki online aMule
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Provides:	cas

%description cas
Tool for generating aMule online stats.

%description cas -l pl.UTF-8
Narzędzie do generownia statystyk aMule.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-wx-config=wx-gtk2-unicode-config		\
	--with-libpng-config=/usr/bin/libpng-config	\
	--%{?debug:en}%{!?debug:dis}able-debug		\
	--%{?debug:dis}%{!?debug:en}able-optimize	\
	--enable-amule-daemon				\
	--enable-amule-gui				\
	--enable-amulecmd				\
	--enable-webserver				\
	--enable-cas					\
	--enable-wxcas					\
	--enable-alc					\
	--enable-alcc					\
	--enable-geoip					\
	--enable-xas					\
	--enable-optimize

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/et{_EE,}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/ko{_KR,}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/pt{_PT,}
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/amule
%find_lang amule

%clean
rm -rf $RPM_BUILD_ROOT

%files -f amule.lang
%defattr(644,root,root,755)
%doc docs/ABOUT-NLS docs/AUTHORS docs/Changelog docs/EC_Protocol.txt docs/README docs/TODO docs/amulesig.txt
%attr(755,root,root) %{_bindir}/autostart-xas
%attr(755,root,root) %{_bindir}/amule*
%attr(755,root,root) %{_bindir}/ed2k
%dir %{_datadir}/amule
%{_datadir}/amule/webserver
%{_datadir}/amule/skins
%{_desktopdir}/amule.desktop
%{_desktopdir}/amulegui.desktop
%{_pixmapsdir}/amule.xpm
%{_pixmapsdir}/amulegui.xpm
%{_mandir}/man1/amule*
%{_mandir}/man1/ed2k*
%lang(de) %{_mandir}/de/man1/amule*
%lang(de) %{_mandir}/de/man1/ed2k*
%lang(es) %{_mandir}/es/man1/amule*
%lang(es) %{_mandir}/es/man1/ed2k*
%lang(fr) %{_mandir}/fr/man1/amule*
%lang(fr) %{_mandir}/fr/man1/ed2k*
%lang(hu) %{_mandir}/hu/man1/amule*
%lang(hu) %{_mandir}/hu/man1/ed2k*
%lang(it) %{_mandir}/it/man1/amule*
%lang(it) %{_mandir}/it/man1/ed2k*
%lang(ru) %{_mandir}/ru/man1/amule*
%lang(ru) %{_mandir}/ru/man1/ed2k*
%lang(tr) %{_mandir}/tr/man1/amule*
%lang(tr) %{_mandir}/tr/man1/ed2k*

%files plugin-xchat
%defattr(644,root,root,755)
%{_libdir}/xchat/plugins/xas.pl
%{_mandir}/man1/xas*
%lang(de) %{_mandir}/de/man1/xas*
%lang(es) %{_mandir}/es/man1/xas*
%lang(fr) %{_mandir}/fr/man1/xas*
%lang(hu) %{_mandir}/hu/man1/xas*
%lang(it) %{_mandir}/it/man1/xas*
%lang(ru) %{_mandir}/ru/man1/xas*
%lang(tr) %{_mandir}/tr/man1/xas*

%files alc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/alc*
%{_desktopdir}/alc.desktop
%{_pixmapsdir}/alc.xpm
%{_mandir}/man1/alc*
%lang(de) %{_mandir}/de/man1/alc*
%lang(es) %{_mandir}/es/man1/alc*
%lang(fr) %{_mandir}/fr/man1/alc*
%lang(hu) %{_mandir}/hu/man1/alc*
%lang(it) %{_mandir}/it/man1/alc*
%lang(ru) %{_mandir}/ru/man1/alc*
%lang(tr) %{_mandir}/tr/man1/alc*

%files cas
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*cas
%{_datadir}/amule/cas
%{_desktopdir}/*cas.desktop
%{_pixmapsdir}/wxcas.xpm
%{_mandir}/man1/*cas*
%lang(de) %{_mandir}/de/man1/*cas*
%lang(es) %{_mandir}/es/man1/*cas*
%lang(fr) %{_mandir}/fr/man1/*cas*
%lang(hu) %{_mandir}/hu/man1/*cas*
%lang(it) %{_mandir}/it/man1/*cas*
%lang(ru) %{_mandir}/ru/man1/*cas*
%lang(tr) %{_mandir}/tr/man1/*cas*
%changelog
* Sat Dec 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aMule.git;a=log;h=master

* Sat Dec 17 2016 Jan Rękorajski <baggins@pld-linux.org> 1646ece
- rebuild with binutils 2.27
- release 28 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> f6a4de4
- rebuild with readline 7.0
- release 27 (by relup.sh)

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 5b7878c
- removed obsolete rm, release 26

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 0dce3bf
- release 25 (binutils rebuild)

* Thu Mar 17 2016 Jan Rękorajski <baggins@pld-linux.org> 3987f29
- release 24 (by relup.sh)

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> 5f71950
- release 23 (by relup.sh)

* Tue Aug 04 2015 Jan Rękorajski <baggins@pld-linux.org> f40e5c2
- release 22 (by relup.sh)

* Sun Jun 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8db458f
- libbfd rebuild
- release 21 (by relup.sh)

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> 82e9823
- fix building using latest g++/ld
- rel 20

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> 809d373
- release 19 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> caf71ed
- updated gettext BR

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 9cf772e
- release 18 (by relup.sh)

* Tue Jan 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2c87d54
- release 17 (by relup.sh)

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> 15ad087
- release 16 (by relup.sh)

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> f0349bc
- fix building with wxWidgets 3.0
- rel 15

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c5b634
- wxWidgets rebuild
- release 14 (by relup.sh)

* Tue Dec 03 2013 Jan Rękorajski <baggins@pld-linux.org> 445955b
- rebuild with binutils 2.24.51.0.1
- release 13 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d221dd
- release 12 (by relup.sh)

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b9e0d95
- release 11 (by relup.sh)

* Thu May 02 2013 Jan Rękorajski <baggins@pld-linux.org> 9dc94d2
- release 10 (by relup.sh)

